[FFmpeg-devel] [FFmpeg-cvslog] w32pthreads: always use Vista+ API, drop XP support

Hendrik Leppkes h.leppkes at gmail.com
Tue Jan 2 11:54:56 EET 2018

On Tue, Jan 2, 2018 at 10:47 AM, Nicolas George <george at nsup.org> wrote:
> Hendrik Leppkes (2018-01-02):
>> I don't think (old) Wine is something we should worry too much about,
>> considering you can just use native Linux builds, I doubt any real
>> usage occurs for FFmpeg through Wine.
> What about proprietary applications that use FFmpeg (either by calling
> the executable or with dynamic linking according to the terms of the
> LGPL (let's believe it exists))?

Then they can probably upgrade Wine? 14.04 comes with Wine 1.6 from
2013, its quite old.
In fact, InitializeConditionVariable was implemented in Wine 1.7.11,
so not even too far in the future from 1.6

- Hendrik

More information about the ffmpeg-devel mailing list